import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class HealthBar here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HealthBar extends Actor
{
    private int barWidth;
    private int barHeight;
    private int currentHealth;
    private int maximumHealth;
    /**
     * Act - do whatever the HealthBar wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public HealthBar()
    {
        barWidth = 300;
        barHeight = 20;
        maximumHealth = 5000;
    }

    public int getCurrentHealth() //gets current health from FinalBoss
    {
        Ground ground = (Ground)getWorld();
        FinalBoss finalBoss = ground.getFinalBoss();
        currentHealth = finalBoss.getHealth();
        return currentHealth;
    }
    
    public void update() //updates the health bar to match final boss' health
    {
        final int FRAMEOFFSET = 0;
        final int FILLOFFSET = 1;
        
        setImage(new GreenfootImage(barWidth, barHeight));
        GreenfootImage bar = getImage();
        bar.setColor(Color.WHITE);
        bar.drawRect(FRAMEOFFSET, FRAMEOFFSET, barWidth, barHeight);
        bar.setColor(Color.RED);
                
        final double PIXELS_PER_HP = (double)barWidth/maximumHealth;
        double healthFill = getCurrentHealth()*PIXELS_PER_HP;
        
        bar.fillRect(FILLOFFSET, FILLOFFSET, (int)healthFill, barHeight);
    }
    
    public void act() 
    {
        update();
    }
}
