import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class powerUpEnemy here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PowerUpEnemy extends Enemy
{
    private int speed = 1;
    public final int FREEMISSILE = 1;
    public final int FORCEFIELD = 2;
    private int type_;
    /**
     * Act - do whatever the powerUpEnemy wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public PowerUpEnemy()
    { 
        super();
        health(200);
    }
    
    public void act() 
    {
        dropPowerUp();
        super.act();
        move(speed);
    }    
    
    public void dropPowerUp()
    {
        if (health == 0 && type_ == FREEMISSILE)
        {
            powerUp(new FreeMissile());
        }
        else if (health == 0 && type_ == FORCEFIELD)
        {
            powerUp(new Shield());
        }
    }
    
    public void setType(int type)
    {
        type_ = type;
    }
    
    public void powerUp(PowerUp p)
    {
        World world = getWorld();
        world.addObject(p,this.getX(),this.getY());
    }
}
