import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class Invinicibility here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Invincibility extends Actor
{
    private int time;
    /**
     * Act - do whatever the Invincibility wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        trackPlayer();
        processActions();
        shieldTime();
    }    
    
    public void trackPlayer()
    {
        Ground ground = (Ground)getWorld();
        Player player = ground.getPlayer();
        List players = getObjectsInRange(1000,Player.class);
        if (players.size() > 0) //only tracks player if it is on the map
        {
            this.setLocation(player.getX(),player.getY());
        }
    }
    
    public Invincibility()
    {
        Greenfoot.playSound("Shield.mp3");
        time = 200; //lasts for 200 frames
    }
    
    public void shieldTime()
    {
        World world = getWorld();
        time--;
        if (time == 0)
        {
            world.removeObject(this);
        }
        else if (time == 60) /*when there is only 60 frames left on
                                shield, displays a warning*/
        {
            world.addObject(new InvincibilityWarning(),this.getX(),
            this.getY());
        }
    }
    
    public void processActions()
    {
        World world = getWorld();
        if ((FinalBoss)getOneIntersectingObject(FinalBoss.class)!=null)
        {
            world.removeObject(this); //Can't destroy boss
        }
        else if (isTouching(EnemyShot.class)||isTouching(FinalBossShot.class))
        {
            Weapon block = (Weapon)getOneIntersectingObject(Weapon.class);
            world.removeObject(block);
        }
    }
}
